Skip to main content
GET
List CVMs (paginated)

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

family
enum<string>
default:all

Filter by instance family

Available options:
all,
cpu,
gpu
instance_types
string[] | null

Filter by one or more instance type IDs

search
string | null

Search name, app_id, vm_uuid, instance_id

status
string[] | null

CVM status filter

base_image
string | null

OS image name filter

kms_slug
string | null

KMS slug filter

kms_type
string | null

KMS type filter

node
string | null

Node name filter (matches teepod or node name)

region
string | null

Region identifier filter

page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
page_size
integer
default:30

Items per page (max 100)

Required range: 1 <= x <= 100

Response

Paginated CVM list with total count

Paginated response for CVM list endpoints

items
HostedCvm · object[]
required
total
integer
required
page
integer
required
page_size
integer
required
pages
integer
required